PSCAD 4.2.1

Settings
 {
 Id = "916200857.1425188635"
 Author = "reform.Hasan"
 Desc = "SIMPLE 12 PULSE STATCOMM"
 Arch = "windows"
 Options = 0
 Build = 22
 Warn = 1
 Check = 15
 Libs = ""
 Source = ""
 RunInfo = 
  {
  Fin = 1.5
  Step = 5e-005
  Plot = 0.001
  Chat = 0.001
  Brch = 0.0005
  Lat = 100
  Options = 0
  Advanced = 511
  Debug = 0
  StartFile = ""
  OFile = "Untitled.out"
  SFile = "Untitled.snp"
  SnapTime = 0.3
  Mruns = 10
  Mrunfile = 0
  StartType = 0
  PlotType = 0
  SnapType = 0
  MrunType = "mrun"
  }


Global_Consts = 
  {
  freq = 60.0 [Hz]
  }

 }

Definitions
 {
 Module("Graph")
  {
  Desc = ""
  FileDate = 1118257897
  Nodes = 
   {
   }

  Graphics = 
   {
   Brush(Solid,Yellow)
   Rectangle(-30,-38,30,39)
   Line(-16,-5,-16,35)
   Line(-21,30,19,30)
   Line(-16,29,-9,3)
   Line(-2,22,-9,3)
   Line(-2,21,4,0)
   Line(4,0,14,23)
   Line(14,22,17,11)
   Text(1,-22,"Graph")
   Text(1,-9,"Page")
   }


  Page(A/A4,Portrait,16,[798,406],100)
   {
   -ControlPanel-([72,216],0)
    {
    Name = "Q Order"
    Flags = 0
    State = 1
    Icon = -1,-1
    Posn = 72,216
    Extents = 0,0,72,126
    Slider(72708736)
    }
   -Sticky-([72,144],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 72,144,144,198
    Alignment = 1
    Style = 1
    Arrow = 0
    Color = 0,15792890
    Text = "Reactive power order"
    }
   -Sticky-([162,144],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 162,144,324,198
    Alignment = 1
    Style = 1
    Arrow = 0
    Color = 0,15792890
    Text = "Proportinal gain and Time constant of PI from reactive power control loop"
    }
   -Sticky-([36,18],0)
    {
    Name = ""
    Font = 2
    Bounds = 36,18,1152,72
    Alignment = 1
    Style = 0
    Arrow = 0
    Color = 0,15792890
    Text = "\
SIMPLE 12-PULSE STATCOM
Graph Subpage"
    }
   -ControlPanel-([162,216],0)
    {
    Name = "PI controller"
    Flags = 0
    State = 1
    Icon = -1,-1
    Posn = 162,216
    Extents = 0,0,162,126
    Slider(72710776)
    Slider(72709960)
    }
   -Plot-([360,144],0)
    {
    Title = ""
    Draw = 1
    Area = [0,0,792,1062]
    Posn = [360,144]
    Icon = [-1,-1]
    Extents = 0,0,792,1062
    XLabel = ""
    AutoPan = "false,75"
    Graph([0,0],[0,0,792,167],"Voltage")
     {
     Options = 0
     Units = ""
     Curve(72686704,"V_pu",0,,,)
     }
    Graph([0,167],[0,0,792,167],"Voltage")
     {
     Options = 0
     Units = ""
     Curve(77795296,"dcVoltage",0,,,)
     }
    Graph([0,334],[0,0,792,167],"Reactive Power")
     {
     Options = 0
     Units = ""
     Curve(77636648,"Q",0,,,)
     Curve(72712000,"Qref",1,,,)
     }
    Graph([0,501],[0,0,792,166],"Reactive Power")
     {
     Options = 0
     Units = ""
     Curve(72712408,"Qerr",0,,,)
     }
    Graph([0,667],[0,0,792,166],"Angle")
     {
     Options = 0
     Units = ""
     Curve(72711592,"AngleOrder",0,,,)
     }
    Graph([0,833],[0,0,792,166],"Active Power")
     {
     Options = 0
     Units = ""
     Curve(77636240,"P",0,,,)
     }
    }
   }
  }
 Module("Main")
  {
  Desc = "Main Page"
  FileDate = 1118258274
  Nodes = 
   {
   }

  Graphics = 
   {
   Rectangle(-18,-18,18,18)
   }


  Page(A/A4,Portrait,16,[798,406],100)
   {
   0.source3([180,432],0,0,70)
    {
    Name = "src"
    Type = "3"
    Ctrl = "0"
    MVA = "100.0 [MVA]"
    Vm = "100.0 [kV]"
    F = "$(freq)"
    Tc = "0. [s]"
    ZSeq = "0"
    Imp = "1"
    Exph = "0"
    View = "1"
    Term = "0"
    R1s = "1.0 [ohm]"
    R1p = "1.0 [ohm]"
    L1p = "0.1 [H]"
    Z1 = "1.0 [ohm]"
    Phi1 = "80.0 [deg]"
    RN = "2.0"
    R0p = "1.0 [ohm]"
    L0p = "0.1 [H]"
    Z0 = "1.0 [ohm]"
    Phi0 = "80.0 [deg]"
    Es = "100. [kV]"
    F0 = "$(freq)"
    Ph = "0.0 [deg]"
    Pinit = "0.0 [pu]"
    Qinit = "0.0 [pu]"
    VCtrl = "0"
    Vdes = "1.0 [pu]"
    Vbase = "230.0 [kV]"
    Tvm = "0.02 [s]"
    Tvc = "0.05 [s]"
    PCtrl = "0"
    Pdes = "1.0 [pu]"
    Tpm = "0.02 [s]"
    Tpc = "0.05 [s]"
    P = ""
    Q = ""
    V = ""
    Theta = ""
    Ia = "ia"
    Ib = "ib"
    Ic = "ic"
    }
   0.ground([144,432],2,0,-1)
    {
    }
   0.nodeloop([342,432],0,0,120)
    {
    View = "1"
    }
   0.nodeloop([270,432],0,0,110)
    {
    View = "1"
    }
   -Wire-([324,468],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([270,468],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.resistor([324,432],2,0,-1)
    {
    R = "0.1 [ohm]"
    }
   -Wire-([216,432],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   -Wire-([612,378],0,0,-1)
    {
    Vertex="0,0;162,0"
    }
   -Wire-([612,432],0,0,-1)
    {
    Vertex="0,0;252,0"
    }
   0.nodelabel([702,378],0,0,60)
    {
    Name = "NAS"
    MeasV = "1"
    PU = "0"
    VName = "VnaS"
    VBase = "1 [kV]"
    }
   0.nodelabel([702,432],0,0,150)
    {
    Name = "NBS"
    MeasV = "1"
    PU = "0"
    VName = "VnbS"
    VBase = "1 [kV]"
    }
   0.nodelabel([702,486],0,0,190)
    {
    Name = "NCS"
    MeasV = "1"
    PU = "0"
    VName = "VncS"
    VBase = "1 [kV]"
    }
   -Wire-([774,288],0,0,-1)
    {
    Vertex="0,0;108,0"
    }
   0.nodelabel([432,378],0,0,30)
    {
    Name = "NA"
    MeasV = "1"
    PU = "0"
    VName = "Vna"
    VBase = "1 [kV]"
    }
   0.nodelabel([432,432],0,0,130)
    {
    Name = "NB"
    MeasV = "1"
    PU = "0"
    VName = "Vnb"
    VBase = "1 [kV]"
    }
   0.nodelabel([432,486],0,0,160)
    {
    Name = "NC"
    MeasV = "1"
    PU = "0"
    VName = "Vnc"
    VBase = "1 [kV]"
    }
   0.power([288,504],7,0,170)
    {
    DIR = "1"
    P = "1"
    Q = "1"
    TS = "0.005 [s]"
    View = "1"
    }
   0.pgb([288,576],4,77636240,200)
    {
    Name = "P"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = "MW"
    mrun = "0"
    Pol = "0"
    Min = "-500"
    Max = "200"
    }
   0.pgb([324,576],0,77636648,210)
    {
    Name = "Q"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = "MVar"
    mrun = "0"
    Pol = "0"
    Min = "-500"
    Max = "200"
    }
   0.var([306,810],1,77637056,300)
    {
    Name = "GpPLL"
    Group = "PLL Control"
    Display = "0"
    Max = "100.0"
    Min = "0.0"
    Value = "50.0"
    Units = ""
    Collect = "1"
    }
   0.datalabel([360,882],0,0,-1)
    {
    Name = "GiPLL"
    }
   0.var([360,810],1,77637872,310)
    {
    Name = "GiPLL"
    Group = "PLL Control"
    Display = "0"
    Max = "1000.0"
    Min = "0.0"
    Value = "500.0"
    Units = ""
    Collect = "1"
    }
   0.datalabel([306,882],0,0,-1)
    {
    Name = "GpPLL"
    }
   0.datalabel([828,126],2,0,-1)
    {
    Name = "gy1"
    }
   0.pgb([846,108],0,77639096,1080)
    {
    Name = "gy1"
    Group = "Gate Pulse"
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datalabel([720,216],0,0,-1)
    {
    Name = "dcCur"
    }
   0.pgb([756,216],0,77639912,940)
    {
    Name = "dcCurrent"
    Group = "DC"
    Display = "0"
    Scale = "1.0"
    Units = "kA"
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "300"
    }
   -Wire-([720,216],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([882,288],0,0,-1)
    {
    Vertex="0,0;108,0"
    }
   -Wire-([774,324],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([864,324],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([954,324],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([774,504],0,0,-1)
    {
    Vertex="0,0;0,-144"
    }
   -Wire-([864,504],0,0,-1)
    {
    Vertex="0,0;0,-144"
    }
   -Wire-([954,504],0,0,-1)
    {
    Vertex="0,0;0,-144"
    }
   -Wire-([774,576],0,0,-1)
    {
    Vertex="0,0;216,0"
    }
   -Wire-([774,576],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([864,576],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([954,576],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([1098,576],0,0,-1)
    {
    Vertex="0,0;0,-126"
    }
   -Wire-([990,576],0,0,-1)
    {
    Vertex="0,0;108,0"
    }
   -Wire-([990,288],0,0,-1)
    {
    Vertex="0,0;108,0"
    }
   0.voltmetergnd([1062,288],0,0,20)
    {
    Name = "dcVltg"
    }
   0.ground([1098,576],0,0,-1)
    {
    }
   0.datalabel([738,360],0,0,-1)
    {
    Name = "gy1"
    }
   0.datalabel([918,540],0,0,-1)
    {
    Name = "gy2"
    }
   0.datalabel([828,360],0,0,-1)
    {
    Name = "gy3"
    }
   0.datalabel([738,540],0,0,-1)
    {
    Name = "gy4"
    }
   0.datalabel([918,360],0,0,-1)
    {
    Name = "gy5"
    }
   0.datalabel([828,540],0,0,-1)
    {
    Name = "gy6"
    }
   -Wire-([864,360],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([864,324],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([954,360],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([954,324],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([774,540],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([774,504],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([864,540],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([864,504],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([954,540],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([954,504],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([774,360],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([774,324],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.peswitch([774,324],2,0,840)
    {
    L = "1"
    Type = "2"
    SNUB = "1"
    INTR = "1"
    RON = "0.005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Igtoy1"
    It = ""
    V = "Vgtoy1"
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([810,360],4,0,50)
    {
    L = ""
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.005[ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Idiy1"
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.capacitor([1098,450],3,0,-1)
    {
    C = "300.0 [uF]"
    }
   -Wire-([1098,342],0,0,-1)
    {
    Vertex="0,0;0,-54"
    }
   0.ammeter([1098,342],7,0,90)
    {
    Name = "dcCur"
    }
   0.datalabel([720,108],0,0,-1)
    {
    Name = "VnaS"
    }
   -Wire-([720,108],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.pgb([756,108],0,77645624,1090)
    {
    Name = "VnaS"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "kV"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datatap([846,108],3,0,710)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   -Wire-([306,846],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   -Wire-([360,846],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   0.datalabel([990,126],2,0,-1)
    {
    Name = "gd1"
    }
   0.pgb([1008,108],0,77646848,1060)
    {
    Name = "gd1"
    Group = "Gate Pulse"
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datatap([1008,108],3,0,690)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.time-sig([360,1008],0,0,380)
    {
    }
   0.peswitch([864,324],2,0,830)
    {
    L = "3"
    Type = "2"
    SNUB = "1"
    INTR = "1"
    RON = "0.005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Igtoy3"
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([900,360],4,0,80)
    {
    L = ""
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.005[ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Idiy3"
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([954,324],2,0,820)
    {
    L = "5"
    Type = "2"
    SNUB = "1"
    INTR = "1"
    RON = "0.005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Igtoy5"
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([990,360],4,0,100)
    {
    L = ""
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.005[ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Idiy5"
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([774,504],2,0,810)
    {
    L = "4"
    Type = "2"
    SNUB = "1"
    INTR = "1"
    RON = "0.005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Igtoy4"
    It = ""
    V = "Vgtoy4"
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([810,540],4,0,220)
    {
    L = ""
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.005[ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Idiy4"
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([864,504],2,0,800)
    {
    L = "6"
    Type = "2"
    SNUB = "1"
    INTR = "1"
    RON = "0.005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Igtoy6"
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([900,540],4,0,230)
    {
    L = ""
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.005[ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Idiy6"
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([954,504],2,0,790)
    {
    L = "2"
    Type = "2"
    SNUB = "1"
    INTR = "1"
    RON = "0.005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Igtoy2"
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([990,540],4,0,240)
    {
    L = ""
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.005[ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Idiy2"
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.datalabel([828,180],2,0,-1)
    {
    Name = "gy2"
    }
   0.pgb([846,162],0,77654600,1030)
    {
    Name = "gy2"
    Group = "Gate Pulse"
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datatap([846,162],3,0,1020)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datalabel([990,180],2,0,-1)
    {
    Name = "gd2"
    }
   0.pgb([1008,162],0,77655824,980)
    {
    Name = "gd2"
    Group = "Gate Pulse"
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datatap([1008,162],3,0,970)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datalabel([828,234],2,0,-1)
    {
    Name = "gy3"
    }
   0.pgb([846,216],0,77657048,930)
    {
    Name = "gy3"
    Group = "Gate Pulse"
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datatap([846,216],3,0,920)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datalabel([990,234],2,0,-1)
    {
    Name = "gd3"
    }
   0.pgb([1008,216],0,77658272,900)
    {
    Name = "gd3"
    Group = "Gate Pulse"
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datatap([1008,216],3,0,890)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datalabel([900,234],2,0,-1)
    {
    Name = "gy6"
    }
   0.datatap([918,216],3,0,670)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datalabel([1062,234],2,0,-1)
    {
    Name = "gd6"
    }
   0.pgb([1080,216],0,77660312,880)
    {
    Name = "gd6"
    Group = "Gate Pulse"
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datatap([1080,216],3,0,870)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datalabel([900,126],2,0,-1)
    {
    Name = "gy4"
    }
   0.pgb([918,108],0,77661536,1070)
    {
    Name = "gy4"
    Group = "Gate Pulse"
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datatap([918,108],3,0,700)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datalabel([1062,126],2,0,-1)
    {
    Name = "gd4"
    }
   0.pgb([1080,108],0,77791216,1050)
    {
    Name = "gd4"
    Group = "Gate Pulse"
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datatap([1080,108],3,0,680)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datalabel([900,180],2,0,-1)
    {
    Name = "gy5"
    }
   0.pgb([918,162],0,77792440,1010)
    {
    Name = "gy5"
    Group = "Gate Pulse"
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datatap([918,162],3,0,1000)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datalabel([1062,180],2,0,-1)
    {
    Name = "gd5"
    }
   0.pgb([1080,162],0,77793664,960)
    {
    Name = "gd5"
    Group = "Gate Pulse"
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datatap([1080,162],3,0,950)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.compare([432,1008],0,0,390)
    {
    X = "0.1"
    OL = "0"
    OH = "1"
    INTR = "0"
    }
   0.datalabel([720,180],0,0,-1)
    {
    Name = "dcVltg"
    }
   0.pgb([756,180],0,77795296,990)
    {
    Name = "dcVoltage"
    Group = "DC"
    Display = "0"
    Scale = "1.0"
    Units = "kV"
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "180"
    }
   -Wire-([720,180],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datalabel([720,144],0,0,-1)
    {
    Name = "Vna"
    }
   -Wire-([720,144],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.pgb([756,144],0,72683032,1040)
    {
    Name = "Vna"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "kV"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datalabel([324,576],0,0,-1)
    {
    Name = "Qm"
    }
   0.tvekta([216,1206],0,0,440)
    {
    Gp = "GpPLL"
    Gi = "GiPLL"
    Vbas = "100.0 [V]"
    Fbas = "$(freq)"
    Mode = "2"
    PMode = "1"
    THOFF = "off"
    TREL = "0.05"
    dlead = "1"
    FName = ""
    Err = ""
    }
   0.datalabel([144,1242],0,0,-1)
    {
    Name = "Vnc"
    }
   0.datalabel([144,1206],0,0,-1)
    {
    Name = "Vnb"
    }
   0.datalabel([144,1170],0,0,-1)
    {
    Name = "Vna"
    }
   -Wire-([144,1242],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([144,1206],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([144,1170],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datamerge([216,1368],4,0,640)
    {
    N = "6"
    Type = "2"
    Disp = "1"
    }
   -Wire-([162,1296],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([162,1368],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([162,1332],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([162,1296],0,0,-1)
    {
    Vertex="0,0;0,90"
    }
   -Wire-([162,1314],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([162,1350],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([144,1386],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   0.datalabel([180,1440],3,0,-1)
    {
    Name = "off"
    }
   0.rms3ph([288,342],4,0,850)
    {
    Type = "0"
    View = "1"
    Scale = "100.0 [kV]"
    Ts = "0.01 [s]"
    freq = "$(freq)"
    NSAM = "64"
    Vinit = "0.0 [kV]"
    }
   -Wire-([342,342],0,0,-1)
    {
    Vertex="0,0;-18,0"
    }
   -Wire-([342,396],0,0,-1)
    {
    Vertex="0,0;0,-54"
    }
   0.pgb([216,342],4,72686704,860)
    {
    Name = "V_pu"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "pu"
    mrun = "0"
    Pol = "0"
    Min = "0"
    Max = "1.2"
    }
   -Wire-([216,342],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datalabel([234,342],2,0,-1)
    {
    Name = "Vpu"
    }
   0.sumjct([144,1440],3,0,620)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "-1"
    G = "0"
    }
   -Wire-([144,1512],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Sticky-([810,990],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 810,990,954,1026
    Alignment = 1
    Style = 1
    Arrow = 2
    Color = 0,15792890
    Text = "Reactive Power Control Loop"
    }
   -Sticky-([594,1296],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 594,1296,846,1548
    Alignment = 0
    Style = 1
    Arrow = 16
    Color = 0,15792890
    Text = "\
Generation of Firing Pulses
- firing pulses are generated using comparison of reference signals to triangular signals 

- two sets of signals (reference and triangular ones) are needed, one set for turning on and the second one (a negation of the first set of signals) for turning off - see PWM control parts 1 and 2

- two signals are being sent to each switch, the first one tells to turn on or off, the second one  determines an exact moment of switching and is used by interpolation procedure which allows for switching between time steps"
    }
   -Sticky-([108,990],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 108,990,288,1026
    Alignment = 1
    Style = 1
    Arrow = 8
    Color = 0,15792890
    Text = "Blocking of STATCOM for first 0.1s"
    }
   -Wire-([324,576],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([288,576],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Sticky-([108,828],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 108,828,252,900
    Alignment = 1
    Style = 1
    Arrow = 9
    Color = 0,15792890
    Text = "Parameters of PI controller and offset in Phase Lock Loop"
    }
   -Wire-([468,1008],0,0,-1)
    {
    Vertex="0,0;36,0;36,18"
    }
   -Wire-([1098,378],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   -Wire-([774,612],0,0,-1)
    {
    Vertex="0,0;108,0"
    }
   -Wire-([882,612],0,0,-1)
    {
    Vertex="0,0;144,0"
    }
   -Wire-([774,648],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([864,648],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([954,648],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([774,828],0,0,-1)
    {
    Vertex="0,0;0,-144"
    }
   -Wire-([864,828],0,0,-1)
    {
    Vertex="0,0;0,-144"
    }
   -Wire-([954,828],0,0,-1)
    {
    Vertex="0,0;0,-144"
    }
   -Wire-([774,900],0,0,-1)
    {
    Vertex="0,0;324,0"
    }
   -Wire-([774,900],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([864,900],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([954,900],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   0.datalabel([918,864],0,0,-1)
    {
    Name = "gd2"
    }
   0.datalabel([828,684],0,0,-1)
    {
    Name = "gd3"
    }
   0.datalabel([918,684],0,0,-1)
    {
    Name = "gd5"
    }
   0.datalabel([828,864],0,0,-1)
    {
    Name = "gd6"
    }
   -Wire-([864,684],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([864,648],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([954,684],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([954,648],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([774,864],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([774,828],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([864,864],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([864,828],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([954,864],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([954,828],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([774,684],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([774,648],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.peswitch([774,648],2,0,780)
    {
    L = "1"
    Type = "2"
    SNUB = "1"
    INTR = "1"
    RON = "0.005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Igtod1"
    It = ""
    V = "Vgtod1"
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([810,684],4,0,260)
    {
    L = ""
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.005[ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Idid1"
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([864,648],2,0,770)
    {
    L = "3"
    Type = "2"
    SNUB = "1"
    INTR = "1"
    RON = "0.005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Igtod3"
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([900,684],4,0,270)
    {
    L = ""
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.005[ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Idid3"
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([954,648],2,0,760)
    {
    L = "5"
    Type = "2"
    SNUB = "1"
    INTR = "1"
    RON = "0.005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Igtod5"
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([990,684],4,0,280)
    {
    L = ""
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.005[ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Idid5"
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([774,828],2,0,750)
    {
    L = "4"
    Type = "2"
    SNUB = "1"
    INTR = "1"
    RON = "0.005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Igtod4"
    It = ""
    V = "Vgtod4"
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([810,864],4,0,340)
    {
    L = ""
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.005[ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Idid4"
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([864,828],2,0,740)
    {
    L = "6"
    Type = "2"
    SNUB = "1"
    INTR = "1"
    RON = "0.005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Igtod6"
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([900,864],4,0,360)
    {
    L = ""
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.005[ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Idid6"
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([954,828],2,0,730)
    {
    L = "2"
    Type = "2"
    SNUB = "1"
    INTR = "1"
    RON = "0.005 [ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Igtod2"
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   0.peswitch([990,864],4,0,370)
    {
    L = ""
    Type = "0"
    SNUB = "0"
    INTR = "1"
    RON = "0.005[ohm]"
    ROFF = "1.0E8 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = "Idid2"
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([648,540],0,0,-1)
    {
    Vertex="0,0;0,-126"
    }
   0.ground([648,576],1,0,-1)
    {
    }
   0.resistor([648,576],3,0,-1)
    {
    R = "1.0e6 [ohm]"
    }
   -Wire-([504,702],0,0,-1)
    {
    Vertex="0,0;0,-288"
    }
   -Wire-([504,414],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([432,810],0,0,-1)
    {
    Vertex="0,0;0,-288"
    }
   0.xfmr-2w([576,702],0,0,250)
    {
    Tmva = "16.67 [MVA]"
    f = "$(freq)"
    Xl = "0.10 [pu]"
    NLL = "0.0 [pu]"
    CuL = "0.0 [pu]"
    Ideal = "0"
    Tap = "0"
    View = "2"
    V1 = "28.867513 [kV]"
    V2 = "100.0 [kV]"
    Enab = "0"
    Sat = "1"
    Xair = "0.2 [pu]"
    Tdc = "1.0 [s]"
    Xknee = "1.25 [pu]"
    Txk = "0 [s]"
    Im1 = "1.0 [%]"
    IL1 = "Itfpa2"
    IL2 = "Itfsa2"
    IMAG = ""
    FLUX = ""
    }
   0.xfmr-2w([576,756],0,0,290)
    {
    Tmva = "16.67 [MVA]"
    f = "$(freq)"
    Xl = "0.10 [pu]"
    NLL = "0.0 [pu]"
    CuL = "0.0 [pu]"
    Ideal = "0"
    Tap = "0"
    View = "2"
    V1 = "28.867513 [kV]"
    V2 = "100.0 [kV]"
    Enab = "0"
    Sat = "1"
    Xair = "0.2 [pu]"
    Tdc = "1.0 [s]"
    Xknee = "1.25 [pu]"
    Txk = "0 [s]"
    Im1 = "1.0 [%]"
    IL1 = "Itfpb2"
    IL2 = "Itfsb2"
    IMAG = ""
    FLUX = ""
    }
   0.xfmr-2w([576,810],0,0,330)
    {
    Tmva = "16.67 [MVA]"
    f = "$(freq)"
    Xl = "0.10 [pu]"
    NLL = "0.0 [pu]"
    CuL = "0.0 [pu]"
    Ideal = "0"
    Tap = "0"
    View = "2"
    V1 = "28.867513 [kV]"
    V2 = "100.0 [kV]"
    Enab = "0"
    Sat = "1"
    Xair = "0.2 [pu]"
    Tdc = "1.0 [s]"
    Xknee = "1.25 [pu]"
    Txk = "0 [s]"
    Im1 = "1.0 [%]"
    IL1 = "Itfpc2"
    IL2 = "Itfsc2"
    IMAG = ""
    FLUX = ""
    }
   -Wire-([504,702],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([504,792],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([504,846],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([468,756],0,0,-1)
    {
    Vertex="0,0;0,-288"
    }
   -Wire-([468,468],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   -Wire-([432,522],0,0,-1)
    {
    Vertex="0,0;108,0"
    }
   -Wire-([396,432],0,0,-1)
    {
    Vertex="0,0;144,0"
    }
   -Wire-([396,486],0,0,-1)
    {
    Vertex="0,0;144,0"
    }
   -Wire-([504,738],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([504,864],0,0,-1)
    {
    Vertex="0,0;0,-126"
    }
   -Wire-([468,756],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   -Wire-([432,810],0,0,-1)
    {
    Vertex="0,0;108,0"
    }
   -Wire-([612,414],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([612,486],0,0,-1)
    {
    Vertex="0,0;342,0"
    }
   -Wire-([612,702],0,0,-1)
    {
    Vertex="0,0;162,0"
    }
   -Wire-([612,756],0,0,-1)
    {
    Vertex="0,0;252,0"
    }
   -Wire-([612,810],0,0,-1)
    {
    Vertex="0,0;342,0"
    }
   -Wire-([612,468],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([612,522],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([612,738],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   -Wire-([612,792],0,0,-1)
    {
    Vertex="0,0;108,0"
    }
   -Wire-([612,846],0,0,-1)
    {
    Vertex="0,0;90,0"
    }
   -Wire-([684,810],0,0,-1)
    {
    Vertex="0,0;0,-72"
    }
   0.xfmr-2w([576,378],0,0,40)
    {
    Tmva = "16.67 [MVA]"
    f = "$(freq)"
    Xl = "0.10 [pu]"
    NLL = "0.0 [pu]"
    CuL = "0.0 [pu]"
    Ideal = "0"
    Tap = "0"
    View = "2"
    V1 = "28.867513 [kV]"
    V2 = "57.735027 [kV]"
    Enab = "0"
    Sat = "1"
    Xair = "0.2 [pu]"
    Tdc = "1.0 [s]"
    Xknee = "1.25 [pu]"
    Txk = "0 [s]"
    Im1 = "1.0 [%]"
    IL1 = "Itfpa1"
    IL2 = "Itfsa1"
    IMAG = ""
    FLUX = ""
    }
   0.ground([504,936],1,0,-1)
    {
    }
   0.resistor([504,900],3,0,-1)
    {
    R = "0.001 [ohm]"
    }
   0.ammeter([504,900],7,0,350)
    {
    Name = "Igrd"
    }
   0.xfmr-2w([576,432],0,0,140)
    {
    Tmva = "16.67 [MVA]"
    f = "$(freq)"
    Xl = "0.10 [pu]"
    NLL = "0.0 [pu]"
    CuL = "0.0 [pu]"
    Ideal = "0"
    Tap = "0"
    View = "2"
    V1 = "28.867513 [kV]"
    V2 = "57.735027 [kV]"
    Enab = "0"
    Sat = "1"
    Xair = "0.2 [pu]"
    Tdc = "1.0 [s]"
    Xknee = "1.25 [pu]"
    Txk = "0 [s]"
    Im1 = "1.0 [%]"
    IL1 = "Itfpb1"
    IL2 = "Itfsb1"
    IMAG = ""
    FLUX = ""
    }
   0.xfmr-2w([576,486],0,0,180)
    {
    Tmva = "16.67 [MVA]"
    f = "$(freq)"
    Xl = "0.10 [pu]"
    NLL = "0.0 [pu]"
    CuL = "0.0 [pu]"
    Ideal = "0"
    Tap = "0"
    View = "2"
    V1 = "28.867513 [kV]"
    V2 = "57.735027 [kV]"
    Enab = "0"
    Sat = "1"
    Xair = "0.2 [pu]"
    Tdc = "1.0 [s]"
    Xknee = "1.25 [pu]"
    Txk = "0 [s]"
    Im1 = "1.0 [%]"
    IL1 = "Itfpc1"
    IL2 = "Itfsc1"
    IMAG = ""
    FLUX = ""
    }
   -Wire-([702,846],0,0,-1)
    {
    Vertex="0,0;0,-90"
    }
   -Wire-([720,792],0,0,-1)
    {
    Vertex="0,0;0,-90"
    }
   -Wire-([1026,288],0,0,-1)
    {
    Vertex="0,0;0,324"
    }
   -Wire-([1098,576],0,0,-1)
    {
    Vertex="0,0;0,324"
    }
   -Wire-([396,378],0,0,-1)
    {
    Vertex="0,0;144,0"
    }
   -Wire-([396,468],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   -Wire-([396,378],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   0.datalabel([414,882],0,0,-1)
    {
    Name = "off"
    }
   0.var([414,810],1,72699352,320)
    {
    Name = "off"
    Group = "PLL Control"
    Display = "0"
    Max = "180.0"
    Min = "-180.0"
    Value = "-90.0"
    Units = "deg"
    Collect = "1"
    }
   -Wire-([414,846],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   0.fp_int([504,1242],0,0,660)
    {
    Type = "1"
    PNum = "1"
    Blck = "1"
    PFormat = "0"
    detect = "0"
    max = "360.0"
    min = "0.0"
    BType = "0"
    PTime = "0.005 [s]"
    }
   0.fp_int([504,1494],0,0,650)
    {
    Type = "1"
    PNum = "1"
    Blck = "1"
    PFormat = "0"
    detect = "0"
    max = "360.0"
    min = "0.0"
    BType = "0"
    PTime = "0.005 [s]"
    }
   -Wire-([270,1206],0,0,-1)
    {
    Vertex="0,0;72,0"
    }
   -Wire-([306,1062],0,0,-1)
    {
    Vertex="0,0;0,144"
    }
   0.datatap([360,1080],3,0,540)
    {
    Index = "4"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   -Wire-([342,1206],0,0,-1)
    {
    Vertex="0,0;0,-108"
    }
   0.datatap([360,1098],3,0,550)
    {
    Index = "5"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datatap([360,1116],3,0,560)
    {
    Index = "6"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datatap([360,1134],3,0,570)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datatap([360,1152],3,0,580)
    {
    Index = "2"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datatap([360,1170],3,0,590)
    {
    Index = "3"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datamerge([414,1152],4,0,630)
    {
    N = "6"
    Type = "2"
    Disp = "1"
    }
   -Wire-([360,1080],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([360,1098],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([360,1116],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([360,1134],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([360,1152],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([360,1170],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([414,1206],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   -Wire-([306,1062],0,0,-1)
    {
    Vertex="0,0;144,0"
    }
   -Wire-([450,1062],0,0,-1)
    {
    Vertex="0,0;0,72"
    }
   -Wire-([306,1314],0,0,-1)
    {
    Vertex="0,0;144,0"
    }
   0.datatap([360,1332],3,0,480)
    {
    Index = "4"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   -Wire-([342,1458],0,0,-1)
    {
    Vertex="0,0;0,-108"
    }
   0.datatap([360,1350],3,0,490)
    {
    Index = "5"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datatap([360,1368],3,0,500)
    {
    Index = "6"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datatap([360,1386],3,0,510)
    {
    Index = "1"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datatap([360,1404],3,0,520)
    {
    Index = "2"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datatap([360,1422],3,0,530)
    {
    Index = "3"
    Dim = "1"
    Type = "2"
    Style = "0"
    Disp = "1"
    }
   0.datamerge([414,1404],4,0,610)
    {
    N = "6"
    Type = "2"
    Disp = "1"
    }
   -Wire-([360,1332],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([360,1350],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([360,1368],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([360,1386],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([360,1404],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([360,1422],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([414,1458],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   -Wire-([306,1458],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([306,1242],0,0,-1)
    {
    Vertex="0,0;0,216"
    }
   -Wire-([450,1314],0,0,-1)
    {
    Vertex="0,0;0,72"
    }
   -Wire-([450,1170],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([450,1242],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([450,1422],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([450,1494],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([450,1386],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([450,1134],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([270,1242],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.datalabel([144,1512],3,0,-1)
    {
    Name = "alpha_ord"
    }
   -Wire-([216,1422],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   0.datalabel([270,1422],2,0,-1)
    {
    Name = "order"
    }
   0.datalabel([450,1494],2,0,-1)
    {
    Name = "order"
    }
   0.datalabel([450,1422],2,0,-1)
    {
    Name = "order"
    }
   0.datalabel([450,1242],2,0,-1)
    {
    Name = "order"
    }
   0.datalabel([450,1170],2,0,-1)
    {
    Name = "order"
    }
   0.var([810,1134],0,72708736,410)
    {
    Name = "Qref"
    Group = "Reactive Power Reference"
    Display = "0"
    Max = "200"
    Min = "-200"
    Value = "0.0"
    Units = "MVar"
    Collect = "1"
    }
   0.sumjct([918,1134],6,0,430)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "-1"
    G = "0"
    }
   0.pi_ctlr([1026,1134],0,0,600)
    {
    GP = "Pgain"
    TI = "Tconst"
    YHI = "10.0"
    YLO = "-10.0"
    YINIT = "0.0"
    Mthd = "0"
    INTR = "0"
    }
   0.var([882,1170],1,72709960,460)
    {
    Name = "Pgain"
    Group = "PI Controller"
    Display = "0"
    Max = "2.0"
    Min = "0.0"
    Value = "0.5"
    Units = ""
    Collect = "1"
    }
   0.datalabel([936,1224],0,0,-1)
    {
    Name = "Tconst"
    }
   0.var([936,1170],1,72710776,470)
    {
    Name = "Tconst"
    Group = "PI Controller"
    Display = "0"
    Max = "0.5"
    Min = "0.0"
    Value = "0.1"
    Units = ""
    Collect = "1"
    }
   0.datalabel([882,1224],0,0,-1)
    {
    Name = "Pgain"
    }
   -Wire-([882,1206],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   -Wire-([936,1206],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   0.pgb([1098,1134],0,72711592,720)
    {
    Name = "AngleOrder"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = "deg"
    mrun = "0"
    Pol = "0"
    Min = "-10"
    Max = "10"
    }
   -Wire-([1062,1134],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([882,1134],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   -Wire-([990,1134],0,0,-1)
    {
    Vertex="0,0;-36,0"
    }
   -Wire-([918,1098],0,0,-1)
    {
    Vertex="0,0;0,-18"
    }
   0.pgb([864,1134],3,72712000,420)
    {
    Name = "Qref"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = "MVAR"
    mrun = "0"
    Pol = "0"
    Min = "-500"
    Max = "200"
    }
   0.pgb([972,1134],3,72712408,450)
    {
    Name = "Qerr"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = "MVAR"
    mrun = "0"
    Pol = "0"
    Min = "-200"
    Max = "500"
    }
   -Sticky-([666,1116],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 666,1116,774,1152
    Alignment = 1
    Style = 1
    Arrow = 8
    Color = 0,15792890
    Text = "Reactive Power Reference (MVAR)"
    }
   -Sticky-([1044,1188],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 1044,1188,1152,1242
    Alignment = 1
    Style = 1
    Arrow = 1
    Color = 0,15792890
    Text = "Alpha order for reactive power control"
    }
   0.datalabel([1080,1098],2,0,-1)
    {
    Name = "alpha_ord"
    }
   -Wire-([828,1080],0,0,-1)
    {
    Vertex="0,0;90,0"
    }
   0.datalabel([828,1080],2,0,-1)
    {
    Name = "Qm"
    }
   0.datalabel([504,1062],2,0,-1)
    {
    Name = "blk"
    }
   0.datalabel([504,1314],2,0,-1)
    {
    Name = "blk"
    }
   0.datalabel([558,1098],2,0,-1)
    {
    Name = "gy1"
    }
   0.datalabel([558,1206],2,0,-1)
    {
    Name = "gy4"
    }
   0.datalabel([558,1278],2,0,-1)
    {
    Name = "gy6"
    }
   0.datalabel([558,1170],2,0,-1)
    {
    Name = "gy3"
    }
   0.datalabel([558,1134],2,0,-1)
    {
    Name = "gy2"
    }
   0.datalabel([558,1242],2,0,-1)
    {
    Name = "gy5"
    }
   -Wire-([540,1098],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([540,1134],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([540,1170],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([540,1206],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([540,1242],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([540,1278],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.datalabel([558,1350],2,0,-1)
    {
    Name = "gd1"
    }
   0.datalabel([558,1458],2,0,-1)
    {
    Name = "gd4"
    }
   0.datalabel([558,1530],2,0,-1)
    {
    Name = "gd6"
    }
   0.datalabel([558,1422],2,0,-1)
    {
    Name = "gd3"
    }
   0.datalabel([558,1386],2,0,-1)
    {
    Name = "gd2"
    }
   0.datalabel([558,1494],2,0,-1)
    {
    Name = "gd5"
    }
   -Wire-([540,1350],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([540,1386],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([540,1422],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([540,1458],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([540,1494],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([540,1530],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.datalabel([738,684],0,0,-1)
    {
    Name = "gd1"
    }
   0.datalabel([738,864],0,0,-1)
    {
    Name = "gd4"
    }
   -Sticky-([666,1062],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 666,1062,774,1098
    Alignment = 1
    Style = 1
    Arrow = 8
    Color = 0,15792890
    Text = "Reactive Power Measured (MVAR)"
    }
   -Sticky-([522,306],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 522,306,630,342
    Alignment = 1
    Style = 1
    Arrow = 2
    Color = 0,15792890
    Text = "Three YY Transformers"
    }
   -Sticky-([522,630],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 522,630,630,666
    Alignment = 1
    Style = 1
    Arrow = 2
    Color = 0,15792890
    Text = "Three YD Transformers"
    }
   0.pin([774,378],0,0,-1)
    {
    }
   0.pin([720,702],0,0,-1)
    {
    }
   0.pin([702,756],0,0,-1)
    {
    }
   0.pin([684,810],0,0,-1)
    {
    }
   0.pin([504,792],0,0,-1)
    {
    }
   0.pin([504,846],0,0,-1)
    {
    }
   0.pin([648,522],0,0,-1)
    {
    }
   0.pin([648,468],0,0,-1)
    {
    }
   0.pin([774,702],0,0,-1)
    {
    }
   0.pin([864,756],0,0,-1)
    {
    }
   0.pin([954,810],0,0,-1)
    {
    }
   0.pin([864,432],0,0,-1)
    {
    }
   0.pin([954,486],0,0,-1)
    {
    }
   0.pgb([918,216],0,76537032,910)
    {
    Name = "gy6"
    Group = "Gate Pulse"
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   .Graph([576,234],0,0,10)
    {
    }
   -Sticky-([90,72],0)
    {
    Name = "Untitled"
    Font = 1
    Bounds = 90,72,540,252
    Alignment = 0
    Style = 0
    Arrow = 0
    Color = 0,15792890
    Text = "\
A Simple 12-Pulse STATCOM.
      - Reactive power control with PI controller
      - Fundamental frequency switching

THIS CASE WILL NOT RUN ON THE STUDENT EDITION OF PSCAD BECAUSE IT HAS MORE THAN 15 NODES!  CONTACT support@pscad.com FOR MORE INFORMATION.  

Reference:
ASVC course by A. Gole"
    }
   -Sticky-([54,18],0)
    {
    Name = ""
    Font = 2
    Bounds = 54,18,1170,54
    Alignment = 1
    Style = 0
    Arrow = 0
    Color = 0,15792890
    Text = "SIMPLE 12-PULSE STATCOM"
    }
   -ControlPanel-([108,648],0)
    {
    Name = "PLL Cntrl"
    Flags = 0
    State = 1
    Icon = -1,-1
    Posn = 108,648
    Extents = 0,0,216,126
    Slider(77637056)
    Slider(77637872)
    Slider(72699352)
    }
   -Wire-([1080,1098],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   -Wire-([144,1386],0,0,-1)
    {
    Vertex="0,0;0,18"
    }
   0.breakout([360,432],0,0,-1)
    {
    Dis = "0"
    }
   -Wire-([324,432],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.unity([504,1062],1,0,400)
    {
    IType = "2"
    OType = "1"
    }
   }
  }
 }

